GS(1)

NAZWA
gs - Aladdin Ghostscript wersja 3.0 -- interpreter/przeglądarka

SKŁADNIA
gs [ opcje ] [ pliki ] ...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Ghostscript jest językiem programowania, podobnym do języka PostScript (tm) firmy Adobe Systems, który z kolei jest podobny do Fortha. Gs odczytuje kolejno pliki i wykonuje je jako programy Ghostscripta. Po zrobieniu tego, odczytuje dalsze wejście ze strumienia standardowego wejścia (zwykle klawiatura). Każda linia jest interpretowana osobno. Aby zakończyć pracę z interpreterem, wykonaj komendę `quit'. Interpreter kończy działanie również po napotkaniu końca pliku. Bezpieczne jest wpisanie znaku przerwanai (np. Ctrl-C).

Interpreter rozpoznaje różne niżej opisane przełączniki, które mogą pojawić się w dowolnym miejscu linii komend i tyczyć się dalszych plików.

Informację o pomocy można uzyskać, wywołując Ghostscript z przełącznikiem -h lub -?. Informacja ta zawiera też listę dostępnych urządzeń.

Ghostscript może zostać skompilowany z wieloma urządzeniami wyjściowymi. Normalnie otwiera pierwsze i kieruje tam wyjście. Aby użyć urządzenia xyz, załącz przełącznik
	-sDEVICE=xyz
w linii komend. Zauważ, że ten przełącznik musi poprzedzać pierwszy plik .ps i że tylko jego pierwsze wywołanie ma efekt. Na przykład dla wyjścia na drukarce Epson, możesz użyć komendy powłoki
	gs -sDEVICE=epson myfile.ps
zamiast
	gs myfile.ps
Możesz też wpisać
	(epson) selectdevice
	(myfile.ps) run
Całe wyjście idzie na drukarkę, zamiast na wyświetlacz, aż do notki. Możesz przełączać urządzenia w dowolnym momencie, używając procedury selectdevice,
	(vga) selectdevice
lub
	(epson) selectdevice
Jako trzecią opcję, możesz zdefiniować zmienną środowiskową GS_DEVICE, która przechowuje potrzebną nazwę. Priorytety tych sposobów, od najwyższego do najniższego to:
	selectdevice
	(command line)
	GS_DEVICE
	(pierwsze urządzenie z listy kompilacji)

Aby wybrać gęstość wydruku na drukarce, użyj
	gs -sDEVICE=<urządzenie> -r<xwym>x<ywym>
Np. tryb najniższej gęstości na 9 igłowym Epsonie można uzyskać przez
	gs -sDEVICE=epson -r60x72
a najwyższej przez
	gs -sDEVICE=epson -r240x72.

Jeśli jako urządzenie wyjściowe wybierzesz drukarkę, Ghostscript umożliwi ci kontrolowanie gdzie urządzenie wysyła swoje wyjście. Zazwyczaj wyjście idzie na systemach uniksowych bezpośrednio do pliku scratch. Aby wysłać wyjście do serii plików foo1.xyz, foo2.xyz, użyj przełącznika
	-sOutputFile=foo%d.xyz
Znak %d jest specyfikacją formatu printf; możesz użyć innych formatów, takich jak %02d. Każdy plik odbierze jedną stronę wyjścia. W innym wypadku, aby wysłać wyjście do pojedynczego pliku foo.xyz, w którym połączone są wszystkie strony, użyj przełącznika
	-sOutputFile=foo.xyz

Na systemach uniksowych można wyjście przesyłać przez łącze. Na przykład, aby przelać wyjście komendy `lpr' (która pod wieloma systemami Unixowymi jest komendą, która składuje wyjście drukarki), użyj przełącznika
	-sOutputFile=\|lpr
Możesz też wysyłać wyjście na stdout, umożliwiając tworzenie łącza,
	-sOutputFile=-
W tym wypadku musisz też użyć przełącznika -q, aby uchronić Ghostscript przed drukowaniem na stdout komunikatów.

Aby zobaczyć, jakie urządzenia są dostępne, wpisz po uruchomieniu Ghostscripta
	devicenames ==
Listę tę możesz zobaczyć też używając przełączników -h lub -? w linii komend.

Aby wybrać inny rozmiar papieru, użyj przełącznika linii komend
        -sPAPERSIZE=znany rozmiar papieru
np,
        -sPAPERSIZE=a4
lub
        -sPAPERSIZE=legal

PLIKI INICJALIZACYJNE
Szukając plików inicjalizacyjnych (gs_*.ps), plików związanych z fontami, lub pliku dla operatora `run', Ghostscript najpierw próbuje otworzyć plik o podanej nazwie (w bieżącym katalogu, jeśli nie podano żadnego). Jeśli to się nie powiedzie, a nazwa pliku nie wskazuje jawnie katalogu, lub napędu (nie rozpoczyna się od `/' na systemach uniksowych), Ghostscript korzysta z następujących katalogów (odpowiednio w kolejności):

1.  Katalogi podane przełącznikami -I w linii komend;

2.  Katalogi podane w zmiennej środowiskowej GS_LIB;

3.  Katalogi podane w makrze GS_LIB_DEFAULT w pliku makefile Ghostscripta (które jest ustawione na "/usr/local/lib/ghostscript:/usr/local/lib/ghostscript/fonts" ).

Katalogi podane w wyżej wymienionych sposobach mogą być pojedynczymi katalogami, lub listami katalogów, rozdzielonymi znakiem `:'.

ZASOBY X
Ghostscript szuka następujących zasobów dla programu o nazwie `Ghostscript':

borderWidth
    Szerokość ramki w pikselach (domyślnie = 1).

borderColor
    Nazwa koloru ramki (domyślnie = black).

geometry
    Rozmiar okna i jego położenie WxH+X+Y (domyślnie NULL).

xResolution
    Liczba pikseli x na cal (domyślnie obliczana z WidthOfScreen i WidthMMOfScreen).

yResolution
    Liczba pikseli y na cal (domyślnie obliczana z HeightOfScreen i HeightMMOfScreen).

useBackingPixmap
    Określa czy używać mechanizmu backing store do zachowywania okna wyświetlania (domyślnie = true).

Zobacz tez plik `use.doc' dla kompletniejszej listy zasobów.

Aby ustawić te zasoby, wstaw je do pliku (takiego jak ~/.Xresources) w następującej postaci:

	Ghostscript*geometry:	612x792-0+0
	Ghostscript*xResolution: 72
	Ghostscript*yResolution: 72

Następnie załaduj wartości domyślne do serwera X:

	% xrdb -merge ~/.Xresources

OPCJE

-- nazwapliku arg1 ...
    Bierze następny argument jako nazwę pliku, lecz pozostałe argumenty pobiera i definiuje nazwę ARGUMENTS w userdict (nie w systemdict) jako tablicę tych łańcuchów, przed uruchomieniem pliku. Gdy Ghostscript zakończy wykonywanie pliku, wychodzi do powłoki.

-Dnazwa=token
-dnazwa=token
    Definiuj nazwę w systemdict na podaną definicję. Token musi być dokładnie jeden (jak zdefiniowano operatorem `token') i nie może zawierać białych spacji.

-Dnazwa
-dnazwa
    Definiuj nazwę w systemdict, której wartość wynosi null.

-Snazwa=napis
-snazwa=napis
    Definiuj nazwę w systemdict na podaną wartość napisową. Jest to różne od -d. Na przykład, -dnazwa=35 jest równoważne fragmentowi programu
                /nazwa 35 def
    podczas gdy -s nazwa=35 jest równoważne
                /nazwa (35) def

-q  Ciche uruchamianie - nie drukuj normalnych komunikatów startowych i rób to, co -dQUIET.

-gliczba1xliczba2
    Równoważne z -dDEVICEWIDTH=liczba1 i -dDEVICEHEIGHT=liczba2. Jest to dla użytku urządzeń (takich jak okna X11), które wymagają (lub zezwalają) na podanie wysokości i szerokości.

-rliczba
-rliczba1xliczba2
    Równoważne z -dDEVICEXRESOLUTION=liczba1 i -dDEVICEYRESOLUTION=liczba2. Jest to dla użytku urządzeń (takich jak drukarki), które obsługują wiele rozdzielczości X i Y. (Jeśli podana jest tylko jedna liczba, to używana jest ona dla rozdzielczości zarówno X jak i Y.)

-Ikatalogi
    Dodaje podaną listę katalogów na początek ścieżki przeszukiwania plików bibliotecznych.

-   Nie jest to tak naprawdę przełącznik. Mówi Ghostscriptowi, że z pliku, lub potoku nadchodzi standardowe wejście. Ghostscript odczytuje to wejście aż do końca pliku, wykonując je jak każdy inny plik, a następnie kontynuuje przetwarzanie linii poleceń. Na końcu linii poleceń, Ghostscript kończy działanie (a nie przechodzi do trybu interaktywnego).

Zauważ, że gs_init.ps powoduje, że systemdict staje się dostępny tylko dla odczytu, więc wartości nazw zdefiniowanych przez -D/d/S/s nie mogą być zmieniane (choć oczywiście mogą być powstrzymywane przez definicje w userdict, lub innych słownikach.)

NAZWY SPECJALNE

-dDISKFONTS
    Powoduje, że kształty znaków będą ładowane z dysku za pierwszym napotkaniem. (Normalnie Ghostscript ładuje wszystkie podczas ładowania fontu.) Może to umożliwić załadowanie większej ilości fontów do pamięci, spowalniając renderowanie.

-dNOCACHE
    Wyłącza buforowanie znaków. Przydatne tylko dla debuggowania.

-dNOBIND
    Wyłącza operator `bind'. Przydatne dla debuggowania.

-dNODISPLAY
    Powstrzymuje normalną inicjalizację urządzenia wyjściowego. Może to być przydatne dla debuggowania.

-dNOPAUSE
    Wyłącza znak zachęty i pauzowanie na końcu każdej strony. Może to być przydatne dla aplikacji, gdzie inny program kieruje Ghostscriptem.

-dNOPLATFONTS
    Wyłącza używanie fontów, przekazanych przez podlegającą platformę (np. X Window System). Może to być potrzebne jeśli fonty platformy wyglądają gorzej niż fonty skalowalne.

-dSAFER
    Wyłącza operatory deletefile i renamefile, oraz zdolność otwierania plików w innych trybach niż tylko dla odczytu. Może to być przydatne dla składowisk i innych wrażliwych środowisk.

-dWRITESYSTEMDICT
    Pozostawia systemdict w stanie zezwolenia na zapis. Jest to potrzebne podczas uruchamiania specjalnych programów narzędziowych, takich jak font2c i pcharstr, które muszą obchodzić normalną ochronę dostępu PostScript.

-sDEVICE=urządzenie
    Wybierz alternatywne początkowe urządzenie wyjściowe.

-sOutputFile=nazwapliku
    Wybierz alternatywny plik wyjściowy (lub łącze) dla początkowego urządzenia wyjściowego.

PLIKI

/usr/local/lib/ghostscript/*
    Pliki startowe, narzędzia i podstawowe definicje fontów.

/usr/local/lib/ghostscript/fonts/*
    Dodatkowe definicje fontów.

/usr/local/lib/ghostscript/examples/*
    Demonstracyjne pliki Ghostscript.

/usr/local/lib/doc/ghostscript/doc/*
    Dokumentacja.

ZOBACZ TAKŻE
Pliki dokumentacji (patrz wyżej).

BŁĘDY
Zobacz grupę dyskusyjną `comp.lang.postscript'.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 gs

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.